## lsp-mode 5.0

=== debian/changelog ===
lsp-mode (5.0-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: 905691)

 -- Thomas Koch <thomas@koch.ro>  Wed, 31 Oct 2018 08:03:03 +0100
