=== debian/control ===
Source: lsp-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper (>= 11),
 dh-elpa,
 elpa-f
Standards-Version: 4.2.1
Homepage: https://github.com/emacs-lsp/lsp-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/lsp-mode.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-lsp-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Description: Emacs client/library for the Language Server Protocol
 A Emacs Lisp library for implementing clients for servers using Microsoft's
 Language Server Protocol (v3.0)[1].
 .
 The library is designed to integrate with existing Emacs IDE frameworks
 (completion-at-point, xref (beginning with Emacs 25.1), flycheck, etc).
 .
 [1]: https://github.com/Microsoft/language-server-protocol
