=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	/bin/true
	# https://github.com/emacs-lsp/lsp-mode/pull/468
	chmod a-x lsp-common.el
