## lsp-mode 6.0

=== debian/changelog ===
lsp-mode (6.0-1) unstable; urgency=medium

  * new upstream release
  * update Standards-Version -> 4.3.0, no changes

 -- Thomas Koch <thomas@koch.ro>  Mon, 21 Jan 2019 20:56:43 +0000

lsp-mode (5.0-1) unstable; urgency=medium

  * Initial release. (Closes: 905691)

 -- Thomas Koch <thomas@koch.ro>  Wed, 31 Oct 2018 08:03:03 +0100
