=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Uploaders: Thomas Koch <thomas@koch.ro>
 Build-Depends: debhelper (>= 11),
  dh-elpa,
- elpa-f
-Standards-Version: 4.2.1
+ elpa-f,
+ elpa-ht,
+ elpa-spinner,
+Standards-Version: 4.3.0
 Homepage: https://github.com/emacs-lsp/lsp-mode
 Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/lsp-mode.git
