=== debian/changelog ===
lsp-mode (6.2.1-3) unstable; urgency=medium

  * update Standards-Version 4.4.1->4.5.0, no changes
  * fix target release in d/changelog s/UNRELEASED/unstable/

 -- Thomas Koch <thomas@koch.ro>  Wed, 05 Feb 2020 12:42:12 +0000

lsp-mode (6.2.1-2) unstable; urgency=medium

  * patch dependeny version of dash-functional

 -- Thomas Koch <thomas@koch.ro>  Sat, 01 Feb 2020 13:29:48 +0000

lsp-mode (6.2.1-1) unstable; urgency=medium

  * update Standards-Version 4.3.0->4.4.1, no changes
  * update debhelper 11->12, use debhelper-compat
  * new upstream version (Closes: 927749)

 -- Thomas Koch <thomas@koch.ro>  Thu, 30 Jan 2020 17:12:59 +0000
