=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Thomas Koch <thomas@koch.ro>
-Build-Depends: debhelper (>= 11),
+Build-Depends:
+ debhelper-compat (= 12),
  dh-elpa,
+ elpa-dash-functional,
  elpa-f,
  elpa-ht,
+ elpa-lv,
+ elpa-markdown-mode,
  elpa-spinner,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/emacs-lsp/lsp-mode
 Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/lsp-mode.git
