=== debian/changelog ===
lsp-mode (7.0.1-3) unstable; urgency=medium

  * Team upload.
  * Drop 01_dash-functional_version.patch.
  * Add don-t-depend-on-dash-functional.patch & drop elpa-dash-functional b-d.
    See <https://github.com/magnars/dash.el/wiki/Obsoletion-of-dash-functional.el>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 12:30:09 -0700

lsp-mode (7.0.1-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Thomas Koch <thomas@koch.ro>  Tue, 13 Oct 2020 21:21:04 +0200

lsp-mode (7.0.1-1) unstable; urgency=medium

  * new upstream release

 -- Thomas Koch <thomas@koch.ro>  Sat, 10 Oct 2020 20:38:01 +0200
