=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-elpa,
- elpa-dash-functional,
+ elpa-deferred,
  elpa-f,
  elpa-ht,
  elpa-lv,
  elpa-markdown-mode,
  elpa-spinner,
+ elpa-undercover
 Standards-Version: 4.5.0
 Homepage: https://github.com/emacs-lsp/lsp-mode
 Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-mode
