=== test/fixtures/SampleCppProject/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

project(test)

add_subdirectory(src)
