=== debian/changelog ===
lsp-mode (8.0.0-6) unstable; urgency=medium

  [ Arto Jantunen ]
  * Team upload
  * Remove myself from Uploaders

  [ Xiyue Deng ]
  * Use unpatched source
  * Don't require pristine-tar
  * Add patch to fix test failures (Closes: #1052939)
  * Make patches DEP-3 compatible.
  * Update Standards-Version to 4.6.2.  No change needed.
  * Add myself as uploader (Closes: #1042568)
  * Add signing key verification to d/watch
  * Add d/upstream/metadata
  * Add Upstream-Contact and update year in d/copyright
  * Add patch to fix non-UTF-8 encoding
  * Drop unused lintian overrides
  * Ensure dependent test is loaded first to avoid flakiness
  * Add upstream bug in comments

 -- Arto Jantunen <viiru@debian.org>  Sun, 26 Nov 2023 14:40:48 +0200

lsp-mode (8.0.0-5) unstable; urgency=medium

  * Remove Thomas Koch from uploaders (Closes: #1019022)
  * Add myself to uploaders
  * Cherry-pick parts of upstream commit 7f331321c565 (Closes: #1022304)
  * Bump Standards-Version, no changes
  * Commit Debian 3.0 (quilt) metadata

 -- Arto Jantunen <viiru@debian.org>  Fri, 28 Oct 2022 13:40:46 +0300

lsp-mode (8.0.0-4) unstable; urgency=medium

  * Team upload.
  * Enable tests requiring python-language-server.
  * Add super-simple autopkgtests control file to run the upstream testsuite.

 -- Arto Jantunen <viiru@debian.org>  Sun, 10 Apr 2022 11:58:44 +0300

lsp-mode (8.0.0-3) unstable; urgency=medium

  * add missing clients/ directory, fix tests
    (Closes: #1003103) Thanks to Arto Jantunen (viiru@)

 -- Thomas Koch <thomas@koch.ro>  Tue, 04 Jan 2022 13:26:45 +0200

lsp-mode (8.0.0-2) unstable; urgency=medium

  * disable tests until I get them to run

 -- Thomas Koch <thomas@koch.ro>  Mon, 03 Jan 2022 13:27:19 +0200

lsp-mode (8.0.0-1) unstable; urgency=medium

  * new upstream version (Closes: #998214)
  * update Standards-Version 4.5.0->4.6.0
  * update debhelper-compat 12->13
  * fix Lintian: add Rules-Requires-Root: no

 -- Thomas Koch <thomas@koch.ro>  Sun, 02 Jan 2022 21:11:20 +0200
