=== debian/control ===
--- 
+++ 
@@ -2,22 +2,26 @@
 Section: lisp
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Thomas Koch <thomas@koch.ro>
+Uploaders: Xiyue Deng <manphiz@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ clangd,
+ debhelper-compat (= 13),
  dh-elpa,
  elpa-deferred,
+ elpa-el-mock,
  elpa-f,
  elpa-ht,
  elpa-lv,
  elpa-markdown-mode,
  elpa-spinner,
- elpa-undercover
-Standards-Version: 4.5.0
+ elpa-undercover,
+ python3-pylsp,
+Standards-Version: 4.6.2
 Homepage: https://github.com/emacs-lsp/lsp-mode
 Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/lsp-mode.git
 Testsuite: autopkgtest-pkg-elpa
+Rules-Requires-Root: no
 
 Package: elpa-lsp-mode
 Architecture: all
