=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	/bin/true

# In the ert tests, `lsp-clangd-test' requires `lsp-integration-test'.  If
# `lsp-clangd-test.el' is loaded before `lsp-integration-test.el' in Emacs 29,
# it causes test symbols to be loaded twice which triggers the `test redefined'
# error.  Here we ensure `lsp-clangd-test' is loaded after
# `lsp-integration-test' to avoid flakiness.
# See also: https://debbugs.gnu.org/66782
override_dh_elpa_test:
	emacs -batch -Q -l package \
	--eval "(add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa\")" \
	--eval "(add-to-list 'package-directory-list \"/usr/share/emacs/site-lisp/elpa-src\")" \
	-f package-initialize -L clients/ -L . -L test \
	-l test/lsp-integration-test.el \
	-l test/lsp-common-test.el \
	-l test/lsp-protocol-test.el \
	-l test/lsp-mode-test.el \
	-l test/lsp-methods-test.el \
	-l test/lsp-javascript-test.el \
	-l test/lsp-io-test.el \
	-l test/lsp-file-watch-test.el \
	-l test/lsp-completion-test.el \
	-l test/lsp-clangd-test.el \
	-l debian/ert-helper.el
