=== debian/tests/control ===
Test-Command: dh_elpa_test --autopkgtest
Depends: @, clangd, dh-elpa, elpa-deferred, elpa-el-mock, python3-pylsp
