=== test/fixtures/SampleCppProject/src/CMakeLists.txt ===
add_executable(test_binary main.cpp individual_file.cpp)
