=== debian/changelog ===
lsp-mode (9.0.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:33:06 +0900

lsp-mode (9.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1052939)
  * Drop obsolete version from Recommends and emacs25 from Enhances
  * Add newly required elpa-elenv to Build-Depends in d/control
  * Override dh auto clean to avoid using eask
  * Drop workaround of dh_elpa_test in favor of upstream fix
  * Skip test that fails in autopkgtest trying to overwrite without ACL
  * Use @builddeps@ in autopkgtest Depends to ensure B-D are available

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 07 Apr 2024 03:02:21 -0700
