=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  dh-elpa,
  elpa-deferred,
  elpa-el-mock,
+ elpa-elenv,
  elpa-f,
  elpa-ht,
  elpa-lv,
@@ -16,7 +17,7 @@
  elpa-spinner,
  elpa-undercover,
  python3-pylsp,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/emacs-lsp/lsp-mode
 Vcs-Browser: https://salsa.debian.org/emacsen-team/lsp-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/lsp-mode.git
@@ -26,9 +27,8 @@
 Package: elpa-lsp-mode
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
-Enhances: emacs,
- emacs25
+Recommends: emacs
+Enhances: emacs
 Description: Emacs client/library for the Language Server Protocol
  A Emacs Lisp library for implementing clients for servers using Microsoft's
  Language Server Protocol (v3.0)[1].
