=== debian/tests/control ===
Test-Command: dh_elpa_test --autopkgtest
Depends: @, @builddeps@
