=== debian/watch ===
version=4
opts="mode=git, pgpsigurlmangle=s/$/.asc/" \
    https://github.com/emacs-lsp/lsp-mode \
    refs/tags/@ANY_VERSION@ debian uupdate
